Subject: bug#23616: closed (Re: bug#23616: 25.0.94; TAB in inferior-python-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Jun 2016 07:52:03 +0000

Your bug report

#23616: 25.0.94; TAB in inferior-python-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23616: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23616
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23616: 25.0.94; TAB in inferior-python-mode
From: Stephen Berman <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Jun 2016 09:51:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue,  7 Jun 2016 22:26:40 +0000 (UTC) [email-masked] (Glenn Morris) wrote:

> branch: emacs-25
> commit ba3f206239349b725a970c7015f7f4ee8631ef6d
> Author: Glenn Morris <[email-masked]>
> Commit: Glenn Morris <[email-masked]>
>
>     * lisp/progmodes/python.el (inferior-python-mode):
>     Avoid tabs.  (Bug#23616)
> ---
>  lisp/progmodes/python.el |    1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
> index 2d22bb2..41d3e1c 100644
> --- a/lisp/progmodes/python.el
> +++ b/lisp/progmodes/python.el
> @@ -2678,6 +2678,7 @@ variable.
>  \(Type \\[describe-mode] in the process buffer for a list of commands.)"
>    (when python-shell--parent-buffer
>      (python-util-clone-local-variables python-shell--parent-buffer))
> +  (set (make-local-variable 'indent-tabs-mode) nil)
>    ;; Users can interactively override default values for
>    ;; `python-shell-interpreter' and `python-shell-interpreter-args'
>    ;; when calling `run-python'.  This ensures values let-bound in

Thanks, that satisfies me, so I'm closing this bug.

Steve Berman

Subject: 25.0.94; TAB in inferior-python-mode
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Wed, 25 May 2016 13:54:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Doing the following (in either emacs-25 or master):

0. emacs -Q
1. M-x run-python
2. at the Python prompt type `for i in range(10):' then `RET', `TAB',
   `print i,', `RET'

results in this Python error:

IndentationError: expected an indented block

although the TAB in step 2 above visibly indents the line `print i,'.
If instead of `TAB' I type `SPC SPC SPC SPC' then after the final RET
the output is as expected:

0 1 2 3 4 5 6 7 8 9

It's not clear to me whether the above error indicates a bug in
python.el; is there some setting I haven't found that makes TAB work in
inferior-python-mode?  (In case it matter, this is with python 2.7.8., I
haven't tried with python3.)  I note that the definition of python-mode
has this line:

(set (make-local-variable 'indent-tabs-mode) nil)

which the definition of inferior-python-mode lacks; adding that line to
latter does make TAB work as I expect.  But I'm not sure whether this
setting is missing on purpose (but if so, why?).

In GNU Emacs 25.0.94.1 (x86_64-suse-linux-gnu, GTK+ Version 3.14.15)
 of 2016-05-18 built on rosalinde
Repository revision: 3b5e38cde194c4faa3865aa437b4a2749946c24d
Windowing system distributor 'The X.Org Foundation', version 11.0.11601000
System Description:	openSUSE 13.2 (Harlequin) (x86_64)

Configured using:
 'configure --with-xwidgets 'CFLAGS=-Og -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix